ti-enxame.com

Existe alguma versão segura do Joomla! 1.6 ou 1.7 disponível?

Existe qualquer versão segura do antigo Joomla! 1.6.x ou a série 1.7.x disponível?

7
JacquesR

Resposta curta e longa é não. Você precisa atualizar um site 1.6 ou 1.7 para pelo menos 2.5.x, pois essa é a versão mais segura (embora o 2.5 esteja chegando rapidamente ao fim da vida útil). Se você tiver um modelo compatível, poderá atualizar para o 3.3.

7
Andrew Eddie

Qualquer site Joomla e, para estender um pouco isso, qualquer tipo de software, especialmente os de código aberto e os que são expostos publicamente, devem estar atualizados, para garantir a máxima segurança.

As versões atuais de manutenção do Joomla são o Joomla 2.5 e o Joomla 3.3. Joomla 1.6 e 1.7 foram lançamentos de curto prazo e poderíamos dizer que eles eram como o caminho da versão 1.5 para 2.5. Eles não foram feitos para ficar por muito tempo, são não mantidos (= sem patches de segurança, sem correções de bugs, sem suporte a extensões), portanto, não podem mais ser usados ​​na produção.

As atualizações, além de poderem adicionar novos recursos, lidam com vulnerabilidades e problemas de segurança conhecidos. Essas vulnerabilidades são bem conhecidas do público, portanto, uma versão mais antiga do software pode ser facilmente comprometida.

Outra condição, devemos ter em mente, é que as extensões de terceiros também não são mantidas para versões mais antigas, dando ainda mais espaço a vulnerabilidades e outras possíveis incompatibilidades com o software do servidor.

Geralmente, atualizar de 1.6, 1.7 para 2.5 e 3.3 é uma tarefa fácil. Mas lembre-se de que isso depende das condições específicas de cada site, das extensões de terceiros e do possível nível de personalização e

É altamente recomendável não tentar atualizar diretamente no site ativo e manter sempre um backup ativo do site.

1
FFrewin